Zum Hauptinhalt springen

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

POST /auth/logout

Dieser Endpunkt beendet die Sitzung des Nutzers, indem alle Refresh-Tokens widerrufen werden. Es ist ein gültiger Access-Token im Authorization-Header erforderlich.
Access-Tokens bleiben bis zum Ablauf gültig (15 Minuten). Für eine sofortige vollständige Abmeldung sollte der Client den Access-Token zusätzlich lokal löschen.

Anfrageheader

Authorization
string
erforderlich
Bearer-Token. Format: Bearer YOUR_ACCESS_TOKEN

Antwort

success
boolean
Gibt an, ob die Abmeldung erfolgreich war.
message
string
Bestätigungsmeldung.
curl -X POST https://api.llmgenerator.com/api/v1/auth/logout \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "success": true,
  "message": "Logout successful. All refresh tokens have been revoked."
}